const webpack = require('webpack');
const HtmlWebpackPlugin = require('html-webpack-plugin');


module.exports = {
    entry: {
        app: './src/index.tsx'
    },

    resolve: {
        extensions: [".ts", ".tsx", ".js"]
    },

    module: {
        rules: [
            {
                test: /\.(ts|tsx)?$/,
                exclude: ["node_modules"],
                loaders: ["awesome-typescript-loader"]
            },
            {
                test: /\.html$/,
                loader: 'html-loader'
            },
            {
                test: /\.less$/, loaders: ["style-loader", "css-loader", "less-loader"]
            }
        ]
    },

    plugins: [
        new webpack.optimize.CommonsChunkPlugin({
            name: ['echarts-grid']
        }),
        new HtmlWebpackPlugin({
            template: 'src/index.html'
        })
    ]
};
