import * as React from "react";
import * as echarts from "echarts";
import "./Test.less";
import * as ReactDOM from "react-dom";
import * as grid from "../../index";

interface TestProps {

}

interface TestStates {

}

export class Test extends React.PureComponent<TestProps, TestStates> {
    constructor(props: TestProps) {
        super(props);
        this.state = {};
    }

    render() {
        return <div ref="chart" className={"echartContainer"}/>;
    }

    componentDidMount() {
        const instance = echarts.init(ReactDOM.findDOMNode(this.refs.chart) as any);
        const options = grid.init({
            fields: ["t1", "t2", "t3", "t4", "t5"],
            columns: ["t4", "t3", "t5", "t1"],
            rows: ["t4", "t5", "t2", "t3"],
            dataset: [
                [12, "def", "category1", "中国", "北京"],
                [24, "abc", "category1", "中国", "广州"],
                [32, "abc", "category2", "中国", "北京"]
            ],
            cellWidth: 80,
            cellHeight: 30,
            canvasWidth: instance.getWidth(),
            canvasHeight: instance.getHeight(),
            seriesOptions: {
                type: "bar"
            }
        });
        console.log(options);
        instance.setOption({
            tooltip: {
                trigger: "axis"
            },
            ...options
        } as any);
        setTimeout(() => {
            instance.resize();
        }, 1000);
    }
}
